# class WEBrick::Log

A logging class that prepends a timestamp to each message.

### Attributes

time_format[RW]

Format of the timestamp which is applied to each logged line. The default is `"[%Y-%m-%d %H:%M:%S]"`

### Public Class Methods

new(log_file=nil, level=nil) click to toggle source

Same as BasicLog#initialize

You can set the timestamp format through `time_format`

Calls superclass method `WEBrick::BasicLog::new`

    # File lib/webrick/log.rb, line 143
    def initialize(log_file=nil, level=nil)
      super(log_file, level)
      @time_format = "[%Y-%m-%d %H:%M:%S]"
    end

### Public Instance Methods

log(level, data) click to toggle source

Same as `BasicLog#log`

Calls superclass method `WEBrick::BasicLog#log`

    # File lib/webrick/log.rb, line 150
    def log(level, data)
      tmp = Time.now.strftime(@time_format)
      tmp << " " << data
      super(level, tmp)
    end